Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-32423

Qt 5.1.0 for Windows 32-bit (VS 2012) compiled with ancient OpenSSL

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P2: Important
    • Resolution: Done
    • Affects Version/s: 5.1.0
    • Fix Version/s: 5.3.1
    • Component/s: Network: SSL
    • Labels:
      None
    • Environment:
      Win7 x64 VS2012
    • Commits:
      3c71bb7dedfbaf43efffd1310af89912e50413ea

      Description

      The prebuild binaries for 5.1.0 win32 x86 vs2012 have been build with a version of openssl < 0.9.9 which means that QSslSocketBackendPrivate::QSslCipher_from_SSL_CIPHER retrieves the wrong bit strength resulting in QSslCipher::supportedBits and usedBits being wrong if the openssl dlls used are >= 0.9.9

      simply compare ssl_cipher_st (typedef'd as SSL_CIPHER) in different versions of openssl/ssl.h

        Attachments

        For Gerrit Dashboard: QTBUG-32423
        # Subject Branch Project Status CR V

          Activity

            People

            Assignee:
            richmoore Richard Moore (qtnetwork)
            Reporter:
            steelbytes Louis Solomon
            Votes:
            0 Vote for this issue
            Watchers:
            5 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes